﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Filtering.aspx.cs" Inherits="Filtering" %>

<%@ Register Assembly="RadGrid.Net2" Namespace="Telerik.WebControls" TagPrefix="rad" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <script type="text/javascript" language="javascript">
    function FilterMenuShowing(sender, eventArgs)
    {
        if (eventArgs.Column.UniqueName == "ProductName")      
           {   
               var menu = eventArgs.Menu;   
               var items = menu.ItemData;   
 
               var i = 0;   

               while (i < items.length)     
               {     
                   if (items[i].Value != "NoFilter" && items[i].Value != "EqualTo")     
                   {    
                       menu.Items[i].Control.style.display="none";
                   }     
                   i++;     
               }     
           }      
    }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <rad:RadGrid AutoGenerateColumns="false" ID="RadGrid1" DataSourceID="AccessDataSource1"
                Width="96%" EnableAJAX="True" Skin="Outlook2007" AllowFilteringByColumn="True"
                AllowSorting="True" PageSize="15" ShowStatusBar="true" ShowFooter="True" AllowPaging="True"
                runat="server" GridLines="None" OnItemDataBound="RadGrid1_ItemDataBound" OnItemCreated="RadGrid1_ItemCreated">
                <PagerStyle Mode="NextPrevAndNumeric" />
                <MasterTableView AutoGenerateColumns="false" EditMode="InPlace" AllowFilteringByColumn="True"
                    ShowFooter="True" Width="99%" TableLayout="Fixed">
                    <Columns>
                        <rad:GridBoundColumn DataField="ProductID" HeaderText="ProductID" SortExpression="ProductID"
                            UniqueName="ProductID">
                            <HeaderStyle Width="17%" />
                        </rad:GridBoundColumn>
                        <rad:GridBoundColumn DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName"
                            UniqueName="ProductName">
                            <HeaderStyle Width="27%" />
                        </rad:GridBoundColumn>
                        <rad:GridBoundColumn DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID"
                            UniqueName="SupplierID">
                            <HeaderStyle Width="17%" />
                        </rad:GridBoundColumn>
                        <rad:GridBoundColumn DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID"
                            UniqueName="CategoryID">
                            <HeaderStyle Width="17%" />
                        </rad:GridBoundColumn>
                        <rad:GridBoundColumn DataField="UnitPrice" DataType="System.Decimal" HeaderText="UnitPrice"
                            SortExpression="UnitPrice" UniqueName="UnitPrice">
                            <HeaderStyle Width="17%" />
                            <FooterStyle Font-Bold="true" />
                        </rad:GridBoundColumn>
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                    <ClientEvents OnFilterMenuShowing="FilterMenuShowing" />
                </ClientSettings>
            </rad:RadGrid>
            <asp:AccessDataSource ID="AccessDataSource1" DataFile="~/App_Data/Nwind.mdb" 
            SelectCommand="SELECT * FROM Products"
                runat="server"></asp:AccessDataSource>
        </div>
    </form>
</body>
</html>
